<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@page import="model.CartMod" %>
<%@page import="model.CartProduct" %>
 <%
Object obj=session.getAttribute("giohang");
if(obj!=null){
	CartMod giohang=(CartMod)obj;
	String IDPM = Long.toHexString(Double.doubleToLongBits(Math.random())).toUpperCase();
	String checkmsg = (String)request.getAttribute("checkmsg");
	String cerinfo = (String)request.getAttribute("cerinfo");
%>   
    
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Pay</title>
<link rel='stylesheet' type='text/css' href='images/style.css' />

<script type="text/javascript" src="js/pay.js"></script>

<link rel="stylesheet" type="text/css" href="images/pay.css" />
<!--  Phuong Thuc Thanh Toan -->
<script>
function loadcc(){
var a = document.getElementById("toshow");

html='<div align="Center" style="border:1px solid #cfcfcf;padding:10px 10px 10px 10px;background-color:#f3f3f3; width:400px ">';
html+='<form name="form" id="form" action="Pay" onsubmit="return validate(this)" method="post">';
html+='<input type="hidden" name="method" value="credit" /><Table>';
html+='<Tr><Td><label for="bank"><B>Ngân Hàng</b></label></td><td><input type="text" name="bank" id="bank" /></td></tr>';
html+='<Tr><Td><label for="acc"><B>ACC</B></label></td><td><input type="text" name="acc" id="acc" /></td></tr>';
html+='<Tr><Td><label for="pin"><B>PIN</B></label></td><td><input type="password" name="pin" id="pin" /></td></tr>';
html+='<Tr><Td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<input type="submit" class="submit" value="Thanh toán" /></td><td></td></tr>';
html+='</table></form></div>';
		a.innerHTML=html;
}


function loaddelivery(){
var a = document.getElementById("toshow");
html='<div align="left" style="border:1px solid #cfcfcf;padding:10 10px 10px 20px;background-color:#f3f3f3; width:400px ">';
html+='<form name="form" id="form" action="Pay" method="post">';
html+='<input type="hidden" name="method" value="delivery" /><br>';
html+='Chúng tôi sẽ Thanh toán và Giao hàng theo địa chỉ Khách hàng trên toàn Quốc';
html+='	<b><br>Vì thế sẽ kèm theo phí Dịch vụ</b><p>';
html+='<input type="submit" class="submit" value="Thanh toán" />  </form></div>';
		a.innerHTML=html;
}

function loadCA(){
	var a = document.getElementById("toshow");
	html='<div align="left" style="border:1px solid #cfcfcf;padding:10 10px 10px 20px;background-color:#f3f3f3; width:400px ">';
	html+='<form enctype="multipart/form-data" action="CheckOnlinePayment" method="post" name="form1" id="form1" method="post" onsubmit = "return submitCA();">';
	html+='<input type="hidden" name="method" value="delivery" /><br>';
	html+='<b>Nội dung cần ký</b><br>';
	html+='<textarea class="UniXT" id = "order" cols = "73" rows = "6" readonly = "true"><%= session.getAttribute("billlist") + "Total: " + Math.round(giohang.Tongtien())%></textarea><br>';
	html+='<br><b>Chữ ký</b><br>';
	html+='<textarea onblur = "return blankSignedOrder();" onclick = "return blankSignedOrder();" name = "signedOrder" id = "signedOrder" class="UniXT" cols = "73" rows = "6">(Chưa nhập chữ ký)</textarea><br>';
	html+='<br><b>Certificate file</b><br><input name = "cername" id = "cername" class="UniXT" type="file" name = "cerfile">';
	html+='<br><p>';
	html+='<br><input type="submit" id = "btnsubmitCA" class="submit" value="Gửi xác nhận" />  </form><br></div>';
	a.innerHTML=html;
    $("#order, #signedOrder, #cername, #btnsubmitCA").uniform();
}

function loadNganLuong(){
var a = document.getElementById("toshow");
html='<div align="left" style="border:1px solid #cfcfcf;padding:10px 10px 10px 20px;background-color:#f3f3f3; width:400px ">';
html+='Thanh toán Hóa đơn trên NgânLượng.Vn';
html+='<b><br>Thông tin Hóa đơn sẽ được chuyển đến NgânLượng.Vn</b><p>';
html+='<a onclick="return nganluongPay();" target="_blank" href="https://www.nganluong.vn/button_payment.php?receiver=luanxt@zing.vn&product_name=HD_<%= IDPM %>&price=<%= Math.round(giohang.Tongtien())%>&return_url=http://google.com.vn&comments=Giao dịch" >';
html+='<img src="images/nganluong.png"  border="0" /></a></div>';
		a.innerHTML=html;
}

function nganluongPay(){
	window.location.href = "Pay?method=nganluong&IDPM=<%= IDPM %>";
}

function expandcerinfo(){
	var title = document.getElementById("cerinfotitle");
	var contents = document.getElementById("cerinfocontent");
	
	title.innerHTML = '<a onclick="return collapsecerinfo();" href = "#"><img src="images/collapseicon.png"> Rút gọn</a>';
	contents.innerHTML = "<%= cerinfo %>";
	contents.style.visibility = 'visible';
	return false;
}

function collapsecerinfo(){
	var title = document.getElementById("cerinfotitle");
	var contents = document.getElementById("cerinfocontent");
	
	title.innerHTML = '<a onclick="return expandcerinfo();" href = "#"><img src="images/expandicon.png"> Xem thông tin</a>';
	contents.innerHTML = "";
	contents.style.visibility = 'hidden';
	return false;
}

function expandSigna(){
	var title = document.getElementById("signaTitle");
	var contents = document.getElementById("signaContent");
	
	title.innerHTML = '<a onclick="return collapseSigna();" href = "#"><img src="images/collapseicon.png"> Rút gọn</a>';
	contents.innerHTML = "Nếu bạn chưa có công cụ ký dữ liệu,<br>Vui lòng <a href='tool/SignatureTool.jar'>tải tại đây</a>";
	contents.style.visibility = 'visible';
	return false;
}

function collapseSigna(){
	var title = document.getElementById("signaTitle");
	var contents = document.getElementById("signaContent");
	
	title.innerHTML = '<a onclick="return expandSigna();" href = "#"><img src="images/expandicon.png"> Xem thông tin</a>';
	contents.innerHTML = "";
	contents.style.visibility = 'hidden';
	return false;
}

function expandConnect(){
	var title = document.getElementById("connectTitle");
	var contents = document.getElementById("connectContent");
	
	title.innerHTML = '<a onclick="return collapseConnect();" href = "#"><img src="images/collapseicon.png"> Rút gọn</a>';
	contents.innerHTML = "Không thể kiểm tra Certificate của bạn vì không thể kết nối tới máy chủ CA.<br>Vui lòng thử lại sau ít phút hoặc liên hệ với người quản trị.";
	contents.style.visibility = 'visible';
	return false;
}

function collapseConnect(){
	var title = document.getElementById("connectTitle");
	var contents = document.getElementById("connectContent");
	
	title.innerHTML = '<a onclick="return expandConnect();" href = "#"><img src="images/expandicon.png"> Xem thông tin</a>';
	contents.innerHTML = "";
	contents.style.visibility = 'hidden';
	return false;
}

</script>

</head>
<body>
<div align="Center" style="border:1px solid #cfcfcf;padding:10px 10px 10px 10px;background-color:#f3f3f3; width:400px ">
<B>CHỌN HÌNH THỨC THANH TOÁN</b><p>
<INPUT class = "UniXT" TYPE=RADIO NAME="pay" onmousedown="loaddelivery();" id="money" VALUE="money">Tại nhà
<INPUT class = "UniXT" TYPE=RADIO NAME="pay" onmousedown="loadcc();"id="cc" VALUE="cc">Chuyển khoản 
<INPUT class = "UniXT" TYPE=RADIO NAME="pay" onmousedown="loadNganLuong();"id="cc" VALUE="cc">NgânLượng.Vn
<INPUT class = "UniXT" TYPE=RADIO NAME="pay" onmousedown="loadCA();"id="onlPayment" VALUE="cc">Trực tuyến<BR>
</div>
<br>
<div id="toshow" align="center">
<% if (checkmsg != null) {%>
<div align="Center" style="border:1px solid #cfcfcf;padding:10px 10px 10px 10px;background-color:#f3f3f3; width:400px ">
<% if (checkmsg.equals("sign")) { %>
<b><font color="red">CHỮ KÝ XÁC NHẬN KHÔNG HỢP LỆ</font></b><br><br><hr><br>
<div id = "signaTitle" align="left"><a onclick="return expandSigna();" href="#"><img src="images/expandicon.png"> Xem thêm thông tin</a></div>
<div id = "signaContent" align="left" style="visibility: hidden; border:1px;padding:10px 10px 10px 10px;background-color:#e0fde6; width:380px "></div>
<script>inlineMsg('onlPayment','Vui lòng kiểm tra lại thông tin', 6);</script>
<% } else if (checkmsg.equals("cer")){ %>
<b><font color="red">CERTIFICATE KHÔNG HỢP LỆ</font></b><br><br><hr><br>
<div id = "cerinfotitle" align="left"><a onclick="return expandcerinfo();" href="#"><img src="images/expandicon.png"> Xem thêm thông tin</a></div>
<div id = "cerinfocontent" align="left" style="visibility: hidden; border:1px;padding:10px 10px 10px 10px;background-color:#e0fde6; width:380px "></div>

<script>inlineMsg('onlPayment','Vui lòng kiểm tra lại thông tin', 6);</script>
<% } else if (checkmsg.equals("connect")){ %>
<b><font color="red">KHÔNG THỂ KẾT NỐI ĐẾN MÁY CHỦ CA</font></b><br><br><hr><br>
<div id = "connectTitle" align="left"><a onclick="return expandConnect();" href="#"><img src="images/expandicon.png"> Xem thêm thông tin</a></div>
<div id = "connectContent" align="left" style="visibility: hidden; border:1px;padding:10px 10px 10px 10px;background-color:#e0fde6; width:380px "></div>
<script>inlineMsg('onlPayment','Vui lòng thử thao tác lại', 6);</script>
<% } else { %> 
<B><font color="#276f00">XÁC NHẬN CERTIFICATE HỢP LỆ</font></B><br><br><hr><br>
<div id = "cerinfotitle" align="left"><a onclick="return expandcerinfo();" href="#"><img src="images/expandicon.png"> Xem thêm thông tin</a></div>
<div id = "cerinfocontent" align="left" style="visibility: hidden; border:1px;padding:10px 10px 10px 10px;background-color:#e0fde6; width:380px "></div>
<div align="left" style="padding-top: 10px"><form action="RedirectToBank" method="GET"><input class = "UniXT"  type="submit" value="Thực hiện chuyển khoản"/></form></div>
<% } %>
</div>
<% } else { %><font color="#828282">(Bạn chưa chọn hình thức thanh toán)</font><% } %>
</div>
</body>
</html>
<% } %>